.\"   $NetBSD: md.4,v 1.4 2004/01/12 21:17:30 wiz Exp $
.\"
.\" This file is in the public domain.
.\"
.Dd February 25, 2007
.Dt MD 4
.Os
.Sh NAME
.Nm md
.Nd memory disk driver
.Sh SYNOPSIS
.Cd "pseudo-device md" Op Ar count
.Sh DESCRIPTION
The
.Nm
driver enables use of system or user memory as a disk.
Memory for the disk must be allocated within the kernel or with
.Xr mdconfig 8
before the
.Nm
device may be used as a disk.
Its behaviour is configured by the kernel options
.Sy MEMORY_DISK_HOOKS ,
.Sy MEMORY_DISK_IS_ROOT ,
.Sy MEMORY_DISK_ROOT_SIZE ,
.Sy MEMORY_DISK_DYNAMIC ,
and
.Sy MEMORY_DISK_SERVER .
.Sh FILES
.Bl -tag -width /dev/rmdXX -compact
.It Pa "/dev/md??"
block mode memory disk devices.
.It Pa "/dev/rmd??"
raw mode memory disk devices.
.El
.Sh SEE ALSO
.Xr options 4 ,
.Xr mdconfig 8 ,
.Xr mdsetimage 8
